<ion-header>
    <div id="btnMenu">
        <div class="btn" *ngIf="group.mode==0">
            <ion-button fill="clear" tappable [routerDirection]="'back'" [routerLink]="['/app/tabs/tab-menu/home']">
                <ion-icon name="arrow-back" text=""></ion-icon>
            </ion-button>
        </div>
        <div class="btn" align="right" style="margin-left: 15vw;">
            <ion-button fill="clear" tappable [routerDirection]="'forward'"
                [routerLink]="['/app/tabs/tab-menu/group-create']">
                <ion-icon name="add" text=""></ion-icon>
            </ion-button>
        </div>
        <div class="title">
            Group
        </div>
    </div>
</ion-header>


<ion-content>
    <ion-list lines="full">
        <ion-item *ngFor="let group of group.groups; let i = index;" button (click)="onGroup(i)" detail="true">
            <ion-icon 
                *ngIf="!group.isActive"
                name="square-outline" 
                [color]="(group.numOfAccept!=1)?'warning':'danger'"></ion-icon>
            <ion-icon 
                *ngIf="group.isActive"
                name="square-outline" 
                color="success"></ion-icon>
            <ion-label>
                <h3>{{group.name}}</h3>
            </ion-label>
            <div>
                <!-- <p *ngIf="!group.isActive">{{group.numOfAccept}}/{{group.members.length}}</p> -->
                <p *ngIf="group.isActive">{{group.members.length}}</p>
            </div>
        </ion-item>
    </ion-list>
</ion-content>